package com.leanwo.activiti.dto.manage;

import java.util.Date;

import com.leanwo.activiti.dto.RangeRequest;
import com.leanwo.activiti.dto.SortDirection;

/**
 * 单据流程实例查询请求
 * @author YangZhiJie
 *
 */
public class ProcessInstanceDocRequest extends RangeRequest{

	/** 单据号 */
	private String documentNo;
	
	/** 单据标题 */
	private String title;
	
	/** 审批摘要 */
	private String content;

	/** 单据状态 */
	private ProcessInstanceStatus status;

	/** 流程启动的开始时间(between) */
	private Date startAfter;

	/** 流程启动的开始时间(and) */
	private Date startBefore;
	
	/** 是否是升序 */
	private SortDirection sortDirection;

	public String getDocumentNo() {
		return documentNo;
	}

	public void setDocumentNo(String documentNo) {
		this.documentNo = documentNo;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public ProcessInstanceStatus getStatus() {
		return status;
	}

	public void setStatus(ProcessInstanceStatus status) {
		this.status = status;
	}

	public Date getStartAfter() {
		return startAfter;
	}

	public void setStartAfter(Date startAfter) {
		this.startAfter = startAfter;
	}

	public Date getStartBefore() {
		return startBefore;
	}

	public void setStartBefore(Date startBefore) {
		this.startBefore = startBefore;
	}

	public SortDirection getSortDirection() {
		return sortDirection;
	}

	public void setSortDirection(SortDirection sortDirection) {
		this.sortDirection = sortDirection;
	}
}
